<div class="cookies-banner" id="cookies-banner">
  <div class="container-md py-3 d-md-flex justify-content-between">
    <p>
      {{ i18n "this_website_use_cookies" }}<br>
      {{ i18n "using_agreeing" }} <a href="https://www.bsc.es/legal-notice">{{ i18n "privacy_notice" }}</a>.
    </p>
    <div>
      <button class="btn btn-primary btn--big" onclick="acceptCookies()">{{ i18n "i_agree" }}</button>
    </div>
  </div>
</div>

<script>
  const key = 'cv19dp-es-consent_v1.0'

  // Set path to '/' prevents reappearance of the banner when accepting cookies in any subpage different from home page.
  // Cookie will expire in 90 days = 90*60*60*24 = 7776000 seconds
  const cookie = `${key}=true; path=/; max-age=7776000`

  const store = (cookie) => document.cookie = cookie
  const isCookieStored = (key) => document.cookie.split(';').some((item) => item.trim().startsWith(`${key}=`))
  const banner = document.querySelector('#cookies-banner')
  const hide = (element) => element.style.display = "none"
  const acceptCookies = () => {
    store(cookie)
    hide(banner)
  }
  if (isCookieStored(key)) {
    hide(banner)
  }
</script>
